<?php
// Inicia una sesión para almacenar datos temporales
session_start();

// Configura los detalles para conectarse al servidor de correo
define('IMAP_SERVER', 'mail.kraussprime.com'); // Dirección del servidor de correo
define('IMAP_PORT', 993); // Puerto que se usará para la conexión
define('IMAP_USER', 'info@kraussprime.com'); // Nombre de usuario del correo
define('IMAP_PASSWORD', 'aai2D7{%t=KzY]$I'); // Contraseña del correo

// Define los temas de los correos que se buscarán
define('ASUNTO_NETFLIX_CODIGO', 'Tu código de acceso temporal de Netflix');
define('ASUNTO_NETFLIX_ACTUALIZAR_HOGAR', 'Importante: Cómo actualizar tu Hogar con Netflix');
define('ASUNTO_NETFLIX_RESTABLECER_CONTRASEÑA', 'Completa tu solicitud de restablecimiento de contraseña');
define('ASUNTO_NETFLIX_INICIO_SESION', 'Netflix: Tu código de inicio de sesión');
define('ASUNTO_DISNEY_CODIGO', 'Tu código de acceso único para Disney+');
define('ASUNTO_AMAZON_CODIGO', 'amazon.com: Sign-in attempt');
define('ASUNTO_NETFLIX_CAMBIAR_HOGAR', 'Importante: Cómo cambiar tu hogar Netflix');

// Opciones para activar o desactivar la búsqueda de ciertos temas
define('HABILITAR_NETFLIX_CODIGO', true);
define('HABILITAR_NETFLIX_ACTUALIZAR_HOGAR', true);
define('HABILITAR_NETFLIX_RESTABLECER_CONTRASEÑA', false);
define('HABILITAR_NETFLIX_INICIO_SESION', false);
define('HABILITAR_DISNEY_CODIGO', true);
define('HABILITAR_AMAZON_CODIGO', true);
define('HABILITAR_NETFLIX_CAMBIAR_HOGAR', true);

// Activa o desactiva la autorización de correos electrónicos
define('EMAIL_AUTH_ENABLED', false); // Cambia a false para desactivar la autorización

// Variable para almacenar la conexión al servidor de correo
$inbox = null;

// Función para abrir la conexión al servidor de correo
function open_imap_connection() {
    global $inbox; // Accede a la variable $inbox
    $inbox = imap_open('{' . IMAP_SERVER . ':' . IMAP_PORT . '/imap/ssl/novalidate-cert}INBOX', IMAP_USER, IMAP_PASSWORD)
        or die("Error al conectar con el servidor IMAP: " . imap_last_error()); // Muestra un mensaje de error si no se puede conectar
}

// Función para cerrar la conexión al servidor de correo
function close_imap_connection() {
    global $inbox; // Accede a la variable $inbox
    if ($inbox) { // Comprueba si hay una conexión abierta
        imap_close($inbox); // Cierra la conexión
    }
}

// Abre la conexión al servidor de correo al iniciar el script
open_imap_connection();
// Asegura que la conexión se cierre cuando el script termine
register_shutdown_function('close_imap_connection');
?>